--SELECT *
--FROM CustNew

--DROP the NewCustomer Stored Procedure
--DROP PROCEDURE NewCustomer 

----Create a new stored Procedure for inserting new customers with an incremented cust_id
--CREATE PROCEDURE NewCustomer @cust_name CHAR(20), @cust_address  CHAR(50), @cust_city CHAR(50)
--AS
----Declare the variable for the new cust_id
--DECLARE @Newcust_id INTEGER
----Get the current highest cust_id
--SELECT @Newcust_id = MAX(cust_id) +1
--FROM CustNew
----INSERT the New Customer
-- INSERT INTO CustNew(cust_id, cust_name, cust_address, cust_city)
-- VALUES(@Newcust_id, @cust_name, @cust_address, @cust_city)
----Return the NewCustomer
-- RETURN @NewCust_id
 
----Test for an empty table and Execute the Stored Procedure
SELECT *
FROM CustNew


SELECT COUNT(*)
FROM CustNew

--EXECUTE NewCustomer 'Fish Shop', '11 Bean Street', 'Glebe'

--DELETE 
--FROM CustNew
--WHERE cust_id = '1000000008'

